<?php

declare(strict_types=1);

namespace Drupal\ui_patterns_blocks\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\ui_patterns\Form\ComponentFormBuilderTrait;

/**
 * Provides a component block.
 *
 * @Block(
 *   id = "ui_patterns",
 *   admin_label = @Translation("Component (UI Patterns)"),
 *   category = @Translation("UI Patterns")
 * )
 */
class ComponentBlock extends BlockBase {

  use ComponentFormBuilderTrait;

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    return parent::defaultConfiguration() + $this->getComponentFormDefault();
  }

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = $this->buildComponentRenderable();
    return $build;
  }

  /**
   * {@inheritdoc}
   */
  public function blockForm($form, FormStateInterface $form_state) {
    return $this->buildComponentsForm($form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function blockSubmit($form, FormStateInterface $form_state) {
    $this->submitComponentsForm($form_state);
  }

}
