<?php

declare(strict_types=1);

namespace Drupal\ui_patterns_field_formatters\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'component_all' formatter.
 *
 * Field types are altered in
 * ui_patterns_field_formatters_field_formatter_info_alter().
 *
 * @FieldFormatter(
 *   id = "ui_patterns_all",
 *   label = @Translation("Component for all (UI Patterns)"),
 * )
 *
 * @SuppressWarnings(PHPMD.CamelCaseParameterName)
 * @SuppressWarnings(PHPMD.CamelCaseVariableName)
 * @SuppressWarnings(PHPMD.LongClassName)
 * @SuppressWarnings(PHPMD.LongVariable)
 */
class ComponentAllFormatter extends ComponentFormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $this->setComponentSettingsAltered([
      'lang_code' => $langcode,
      'items' => $items,
    ]);
    $build = [];
    $build[] = $this->buildComponentRenderable($this->getComponentConfiguration()['component_id'], $this->getComponentSourceContexts());
    return $build;
  }

}
