<?php

declare(strict_types=1);

namespace Drupal\ui_patterns_field_formatters\Plugin\UiPatterns\Source;

use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the field_label source.
 *
 * @Source(
 *   id = "field_label",
 *   label = @Translation("Field label"),
 *   description = @Translation("Field label source plugin."),
 *   prop_types = {
 *     "string",
 *     "slot"
 *   }
 * )
 *
 *  @SuppressWarnings(PHPMD.CamelCaseParameterName)
 *  @SuppressWarnings(PHPMD.CamelCaseVariableName)
 *  @SuppressWarnings(PHPMD.LongClassName)
 *  @SuppressWarnings(PHPMD.LongVariable)
 */
class FieldLabelSource extends UiPatternsFieldFormattersSourceBase {

  /**
   * {@inheritdoc}
   */
  public function getDataInternal(array $ui_patterns_field_formatters_config, FieldItemListInterface|NULL $items = NULL): mixed {
    if ($items instanceof FieldItemListInterface) {
      return $items->getFieldDefinition()->getLabel();
    }
    return '';
  }

}
