<?php

declare(strict_types=1);

namespace Drupal\ui_patterns_views\Plugin\UiPatterns\Source;

use Drupal\ui_patterns\SourcePluginBase;

/**
 * Plugin implementation of the source.
 *
 * @Source(
 *   id = "view_title",
 *   label = @Translation("View title"),
 *   description = @Translation("TBD."),
 *   prop_types = {
 *     "string"
 *   },
 *   context_definitions = {
 *     "view" = @ContextDefinition("view", label = @Translation("View"))
 *   }
 * )
 */
class ViewTitleSource extends SourcePluginBase {

  /**
   * {@inheritdoc}
   */
  public function getData(): mixed {
    $view = $this->getContextValue('view');
    return 'Hello world';
  }

}
