<?php

declare(strict_types=1);

namespace Drupal\ui_patterns_views\Plugin\views\row;

use Drupal\ui_patterns\Form\ComponentSettingsFormBuilderTrait;
use Drupal\views\Plugin\views\row\Fields;

/**
 * Pattern Views row plugin.
 *
 * @ingroup views_row_plugins
 *
 * @ViewsRow(
 *   id = "ui_patterns",
 *   title = @Translation("Component (UI Patterns)"),
 *   help = @Translation("Displays fields using an UI component."),
 *   theme = "component_views_row",
 *   display_types = {"normal"}
 * )
 */
class ComponentRow extends Fields {

  use ComponentSettingsFormBuilderTrait;

  /**
   * {@inheritdoc}
   */
  public function getComponentSettings(): array {
    return $this->options;
  }

}
