<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines prop_type annotation object.
 *
 * @Annotation
 */
class PropType extends Plugin {

  /**
   * The default source plugin.
   *
   * @var string
   */
  public string $default_source;

  /**
   * The available value conversion methods.
   *
   * @var array
   */
  public array $convert_from;

  /**
   * The json schema of the plugin matches.
   *
   * @var array
   */
  public array $schema;

  /**
   * The priority of the PropType.
   *
   * @var int
   */
  public int $priority;

}
