<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Form;

use Drupal\Core\Form\FormStateInterface;

/**
 * Builder for setting forms like field formatter.
 */
trait ComponentSettingsFormBuilderTrait {

  use ComponentFormBuilderTrait;

  /**
   * Adapter function for plugin settings/options.
   *
   * Overwrite to return settings/options of the
   * current plugin.
   *
   * @return mixed
   *   The plugin settings/options.
   */
  abstract protected function getComponentSettings(): array;

  /**
   * {@inheritdoc}
   */
  protected function getComponentConfiguration(): array {
    return $this->getComponentSettings()['ui_patterns'] ?? [];
  }

  /**
   * {@inheritdoc}
   */
  protected function componentSettingsForm(
    array $form,
    FormStateInterface $form_state,
    $source_contexts = []
  ): array {
    return $this->buildComponentsForm($form_state, $source_contexts);
  }

}
