<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Plugin\UiPatterns\PropType;

use Drupal\ui_patterns\PropTypePluginBase;

/**
 * Provides a 'Attributes' PropType.
 *
 * @PropType(
 *   id = "attributes",
 *   label = @Translation("Attributes"),
 *   description = @Translation("HTML attributes as a a mapping."),
 *   priority = 10,
 *   default_source = "attributes",
 *   schema = {
 *     "type": "object",
 *     "patternProperties": {
 *       ".+": {
 *         "anyOf": {
 *           {
 *             "type": {"string", "number"}
 *           },
 *           {
 *             "type": "array",
 *             "items": {
 *               "anyOf": {{ "type": "number" }, { "type": "string" }}
 *             }
 *           }
 *         }
 *       }
 *     }
 *   }
 * )
 */
class AttributesPropType extends PropTypePluginBase {

}
