<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Plugin\UiPatterns\PropType;

use Drupal\ui_patterns\PropTypePluginBase;

/**
 * Provides a 'boolean' PropType.
 *
 * @PropType(
 *   id = "boolean",
 *   label = @Translation("Boolean"),
 *   description = @Translation("Matches only two special values: true and false."),
 *   priority = 1,
 *   default_source = "checkbox",
 *   schema = {
 *     "type": "boolean"
 *   }
 * )
 */
class BooleanPropType extends PropTypePluginBase {

}
