<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Plugin\UiPatterns\PropType;

use Drupal\ui_patterns\PropTypePluginBase;

/**
 * Provides a 'enum' PropType.
 *
 * @PropType(
 *   id = "enum",
 *   label = @Translation("Enum"),
 *   description = @Translation("A single value restricted to a fixed set of values."),
 *   priority = 10,
 *   default_source = "select",
 *   schema = {
 *     "type": {"string", "number", "integer"},
 *     "enum": {},
 *   }
 * )
 */
class EnumPropType extends PropTypePluginBase {

}
