<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Plugin\UiPatterns\PropType;

use Drupal\ui_patterns\PropTypePluginBase;

/**
 * Provides a 'Machine name' PropType.
 *
 * @PropType(
 *   id = "machine_name",
 *   label = @Translation("Machine name"),
 *   description = @Translation("A string with restricted characters."),
 *   priority = 100,
 *   default_source = "textfield",
 *   schema = {
 *     "type": "string",
 *     "pattern": "^[A-Za-z]+\w*$"
 *   }
 * )
 */
class MachineNamePropType extends PropTypePluginBase {

}
