<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Plugin\UiPatterns\PropType;

use Drupal\ui_patterns\PropTypePluginBase;

/**
 * Provides a 'Url' PropType.
 *
 * @PropType(
 *   id = "url",
 *   label = @Translation("Url"),
 *   description = @Translation("Either a URI or a relative-reference. Can be internationalized."),
 *   priority = 10,
 *   default_source = "url",
 *   schema = {
 *     "type": "string",
 *     "format": "iri-reference"
 *   }
 * )
 */
class UrlPropType extends PropTypePluginBase {

}
