<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Plugin\UiPatterns\Source;

use Drupal\Core\Form\FormStateInterface;
use Drupal\ui_patterns\SourcePluginBase;

/**
 * Plugin implementation of the source.
 *
 * @Source(
 *   id = "checkbox",
 *   label = @Translation("Checkbox"),
 *   description = @Translation("Single checkbox"),
 *   prop_types = {
 *     "boolean"
 *   }
 * )
 */
class CheckboxWidget extends SourcePluginBase {

  /**
   * {@inheritdoc}
   */
  public function getPropValue(): mixed {
    return (bool) parent::getPropValue();
  }

  /**
   * {@inheritdoc}
   */
  public function settingsForm(array $form, FormStateInterface $form_state): array {
    return [
      'value' => [
        '#type' => 'checkbox',
        '#default_value' => $this->getSetting('value'),
      ],
    ];
  }

}
