<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Plugin\UiPatterns\Source;

use Drupal\Core\Form\FormStateInterface;
use Drupal\ui_patterns\SourcePluginBase;

/**
 * Plugin implementation of the source.
 *
 * @Source(
 *   id = "color",
 *   label = @Translation("Color"),
 *   description = @Translation("Form element for choosing a color."),
 *   prop_types = {
 *     "color"
 *   }
 * )
 */
class ColorWidget extends SourcePluginBase {

  /**
   * {@inheritdoc}
   */
  public function settingsForm(array $form, FormStateInterface $form_state): array {
    return [
      'value' => [
        '#type' => 'color',
        '#default_value' => $this->getSetting('value'),
      ],
    ];
  }

}
