<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Plugin\UiPatterns\Source;

use Drupal\Core\Form\FormStateInterface;
use Drupal\ui_patterns\SourcePluginBase;

/**
 * Plugin implementation of the source.
 *
 * @Source(
 *   id = "url",
 *   label = @Translation("URL"),
 *   description = @Translation("External URL."),
 *   prop_types = {
 *     "url"
 *   }
 * )
 */
class UrlWidget extends SourcePluginBase {

  /**
   * {@inheritdoc}
   */
  public function settingsForm(array $form, FormStateInterface $form_state): array {
    return [
      'value' => [
        '#type' => 'url',
        '#default_value' => $this->getSetting('value'),
        '#description' => $this->t("Enter an external URL"),
      ],
    ];
  }

}
