<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\Plugin\UiPatterns\Source;

use Drupal\Core\Form\FormStateInterface;
use Drupal\ui_patterns\SourcePluginBase;

/**
 * Plugin implementation of the source.
 *
 * @Source(
 *   id = "wysiwyg",
 *   label = @Translation("Wysiwyg"),
 *   description = @Translation("Wysiwyg editor"),
 *   prop_types = {
 *     "slot"
 *   }
 * )
 */
class WysiwygWidget extends SourcePluginBase {

  /**
   * {@inheritdoc}
   */
  public function defaultSettings(): array {
    return [
      'value' => [
        "value" => '',
        "format" => '',
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getPropValue(): mixed {
    return [
      "#type" => "processed_text",
      "#text" => $this->getSetting('value')['value'],
      "#format" => $this->getSetting('value')['format'],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function settingsForm(array $form, FormStateInterface $form_state): array {
    return [
      'value' => [
        '#type' => 'text_format',
        '#default_value' => $this->getSetting('value')['value'],
        '#format' => $this->getSetting('value')['format'],
      ],
    ];
  }

}
