<?php

declare(strict_types=1);

namespace Drupal\ui_patterns;

use Drupal\Component\Plugin\PluginBase;

/**
 * Base class for prop_type_adapter plugins.
 */
abstract class PropTypeAdapterPluginBase extends PluginBase implements PropTypeAdapterInterface {

  /**
   * {@inheritdoc}
   */
  public function label(): string {
    // Cast the label to a string since it is a TranslatableMarkup object.
    return (string) $this->pluginDefinition['label'];
  }

  /**
   * {@inheritdoc}
   */
  public function getPropTypeId(): string {
    return $this->pluginDefinition['prop_type'] ?? '';
  }

  /**
   * {@inheritdoc}
   */
  public function getSchema(): array {
    $schema = $this->pluginDefinition['schema'];
    return (array) $schema;
  }

  /**
   * {@inheritdoc}
   */
  public function transform(mixed $data): mixed {
    return $data;
  }

}
