<?php

declare(strict_types=1);

namespace Drupal\ui_patterns\SchemaManager;

use Drupal\Core\StreamWrapper\LocalReadOnlyStream;

/**
 * Defines the read-only ui-patterns:// stream wrapper for prop types.
 */
class StreamWrapper extends LocalReadOnlyStream {

  /**
   * {@inheritdoc}
   */
  public function stream_open($uri, $mode, $options, &$opened_path) {
    $plugin_id = str_replace('ui-patterns://', '', $uri);
    $plugin = \Drupal::service('plugin.manager.ui_patterns_prop_type')->createInstance($plugin_id);
    $stream = fopen('php://memory', 'r+');
    fwrite($stream, json_encode($plugin->getSchema()));
    rewind($stream);
    $this->handle = $stream;
    return $stream;
  }

  /**
   * {@inheritdoc}
   */
  public function getDirectoryPath() {
    return NULL;
  }

  /**
   * {@inheritdoc}
   */
  public function getName() {
    return 'ui_patterns';
  }

  /**
   * {@inheritdoc}
   */
  public function getDescription() {
    return 'ui_patterns';
  }

  /**
   * {@inheritdoc}
   */
  public function getExternalUrl() {
    return NULL;
  }

}
