<?php

declare(strict_types=1);

namespace Drupal\ui_patterns;

use Drupal\Component\Plugin\ConfigurableInterface;
use Drupal\Component\Plugin\PluginInspectionInterface;

/**
 * Interface for source plugins.
 */
interface SourceInterface extends ConfigurableInterface, PluginInspectionInterface, PluginSettingsInterface {

  /**
   * Returns the translated plugin label.
   */
  public function label(): string;

  /**
   * Retrieve and process the prop value.
   */
  public function getPropValue(): mixed;

  /**
   * Returns the associated prop id.
   */
  public function getPropId(): string;

  /**
   * Returns the associated prop definition.
   */
  public function getPropDefinition(): mixed;

  /**
   * Allow sources to alter the component render element.
   */
  public function alterComponent(array $element): array;

}
