<?php

declare(strict_types=1);

namespace Drupal\ui_patterns_test\Plugin\UiPatterns\Source;

use Drupal\ui_patterns\SourcePluginBase;

/**
 * Plugin implementation of the source_provider.
 *
 * @Source(
 *   id = "context_foo",
 *   label = @Translation("Context Foo"),
 *   description = @Translation("Test Plugin with."),
 *   context_definitions = {
 *     "entity" = @ContextDefinition("ui_patterns_source:entity", label = @Translation("Entity"))
 *   },
 *   prop_types = {
 *     "string"
 *   }
 * )
 */
final class ContextFoo extends SourcePluginBase {

  /**
   * {@inheritdoc}
   */
  public function getData(): mixed {
    return 'foo';
  }

}
