<?php

declare(strict_types=1);

namespace Drupal\ui_patterns_test\Plugin\UiPatterns\Source;

use Drupal\Core\Form\FormStateInterface;
use Drupal\ui_patterns\SourcePluginBase;

/**
 * Plugin implementation of the source_provider.
 *
 * @Source(
 *   id = "foo",
 *   label = @Translation("Foo (ui_patterns_test)"),
 *   description = @Translation("Foo description."),
 *   prop_types = {
 *     "string"
 *   }
 * )
 */
final class Foo extends SourcePluginBase {

  /**
   * {@inheritdoc}
   */
  public function settingsForm(array $form, FormStateInterface $form_state): array {
    return [
      "value" => [
        '#type' => 'textfield',
        '#attributes' => [
          'placeholder' => t('Test: FOO'),
        ],
        '#default_value' => $this->getSetting('value'),
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getData(): mixed {
    return 'foo';
  }

}
